Question: problems with installing a tool from Galaxy tool shed
2
gravatar for keren.maor
3 months ago by
keren.maor40
keren.maor40 wrote:

Hi, I'm trying to install Trinity from the Galaxy tool shed and have been getting this error. "Repository installation is not possible due to an invalid Galaxy URL: None. You may need to enable third-party cookies in your browser."

I have checked my browser for allowing third-party cookies, and tried three browsers: chrome, internet explorer and firefox. I also reloaded the galaxy, and restarted the computer. Does anyone know how to solve this? thank you very much!

tool admin install galaxy • 131 views
ADD COMMENTlink modified 12 weeks ago by Jennifer Hillman Jackson25k • written 3 months ago by keren.maor40

Which version of Trinity are you installing? Please reference by the Tool Shed's repository link and confirm you are targetting the latest version. https://usegalaxy.org/toolshed

ADD REPLYlink written 12 weeks ago by Jennifer Hillman Jackson25k
0
gravatar for Jennifer Hillman Jackson
12 weeks ago by
United States
Jennifer Hillman Jackson25k wrote:

Hello,

I found this prior Q&A that sounds like it might be your problem as well: https://biostar.usegalaxy.org/p/8548/

I am not sure how the other user was able to access the admin tools if not actually an admin in the configuration files, but when they cleared that up and importantly, restarted Galaxy, that resolved tool installation problems that sound very similar to yours. To have an account be an "admin" account, the galaxy.ini/yml file needs to be adjusted (add email to list of admins) and Galaxy restarted for that to take full effect. Then when later logging into a GUI registered account using the same email address, tool installation should work. The GUI account can be created before or after the ini/yml change and restart.

Please give that a try, and if it doesn't resolve your issue, then comment back with the Trinity repository link and let us know if this is the only tool that you cannot install, or if it is all tools, and if this is new behavior or something that started after other changes to the server were made (what changes?). The version of Galaxy you are running would also be helpful to know.

Thanks! Jen, Galaxy team

ADD COMMENTlink written 12 weeks ago by Jennifer Hillman Jackson25k
1

Thank you for your reply. I was not aware that I need to be an administrator for installing tools. I will try to update to admin account.

ADD REPLYlink written 12 weeks ago by keren.maor40
Please log in to add an answer.

Help
Access

Use of this site constitutes acceptance of our User Agreement and Privacy Policy.
Powered by Biostar version 16.09
Traffic: 124 users visited in the last hour